import itertools
from logic import *
from generators import ClauseBuilder


class LGGResolver:
    ''' 
    This class contains LGG algorithm which is to be called by method runLGG(Clause). 
    By calling method getHypotheis() the current hypothesis of the algorithms is obtained.
    
    Your mandatory task is to implement the LGG algorithm here.
    '''
    def __init__(self, variableFactory):
        '''
        Constructs new LGGResolver.
        
        :type variableFactory: VariableFactory
        :rtype: LGGResolver
        '''
        self.variableFactory = variableFactory
        self.hypothesis = None

    def getHypothesis(self):
        '''
        Returns 
        
        :rtype: Clause 
        '''
        return self.hypothesis

    def runLGG(self, clause):
        '''
        Performs LGG with the current hypothesis stored in the class
        
        :type clause: Clause 
        :rtype: None 
        '''
        ### TODO -- put your code here
        pass